Skip to main content
`Ctrl`+`K`

# DMPlexTopologyView

Saves a `DMPLEX` topology into a file

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexTopologyView(DM dm, PetscViewer viewer)

Collective

## Input Parameters

- dm - The `DM` whose topology is to be saved

- viewer - The `PetscViewer` to save it in

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMView()`, `DMPlexCoordinatesView()`, `DMPlexLabelsView()`, `DMPlexTopologyLoad()`, `PetscViewer`

## Level

advanced

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex30.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages